Subject: add a macro to wrap a privilegied function
From: Daniel Lezcano <dlezcano@fr.ibm.com>

This macro is a helper to call a function into a privilegied section.

Signed-off-by: Daniel Lezcano <dlezcano@fr.ibm.com>
---
 src/lxc/caps.h |    9 +++++++++
 1 file changed, 9 insertions(+)

Index: lxc/src/lxc/caps.h
===================================================================
--- lxc.orig/src/lxc/caps.h
+++ lxc/src/lxc/caps.h
@@ -25,4 +25,13 @@
 int lxc_caps_down(void);
 int lxc_caps_up(void);
 int lxc_caps_init(void);
+
+#define lxc_privilegied(__lxc_function) \
+	({				\
+		int __ret;		\
+		lxc_caps_up();		\
+		__ret = __lxc_function; \
+		lxc_caps_down();	\
+		__ret;			\
+	})
 #endif
